Space Scopes

List Space Scopes

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter space scopes by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
Responses
chevron-right
200

OK

application/json
get
/api/admin/v1/space-scopes
200

OK

Create Space Scope

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Display name for this space scope (must be unique per account)

querystringRequired

AQL (Apono Query Language) expression that filters which resources belong to this scope

Responses
chevron-right
200

OK

application/json

A space scope defines which resources are visible within a space using an AQL (Apono Query Language) expression. When multiple scopes are assigned to a space, their results are combined (OR logic).

idstringRequired

Unique identifier of the space scope

namestringRequired

Display name of the space scope (unique per account)

querystringRequired

AQL (Apono Query Language) expression that filters which resources belong to this scope.

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

post
/api/admin/v1/space-scopes
200

OK

Get Space Scope

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space scope

Responses
chevron-right
200

OK

application/json

A space scope defines which resources are visible within a space using an AQL (Apono Query Language) expression. When multiple scopes are assigned to a space, their results are combined (OR logic).

idstringRequired

Unique identifier of the space scope

namestringRequired

Display name of the space scope (unique per account)

querystringRequired

AQL (Apono Query Language) expression that filters which resources belong to this scope.

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

get
/api/admin/v1/space-scopes/{id}
200

OK

Update Space Scope

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space scope

Body
namestringRequired

Display name for this space scope (must be unique per account)

querystringRequired

AQL (Apono Query Language) expression that filters which resources belong to this scope

Responses
chevron-right
200

OK

application/json

A space scope defines which resources are visible within a space using an AQL (Apono Query Language) expression. When multiple scopes are assigned to a space, their results are combined (OR logic).

idstringRequired

Unique identifier of the space scope

namestringRequired

Display name of the space scope (unique per account)

querystringRequired

AQL (Apono Query Language) expression that filters which resources belong to this scope.

created_datestring · date-timeRequired

ISO 8601 formatted date-time

updated_datestring · date-timeRequired

ISO 8601 formatted date-time

put
/api/admin/v1/space-scopes/{id}
200

OK

Delete Space Scope

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier or display name of the space scope

Responses
delete
/api/admin/v1/space-scopes/{id}
204

No Content

No content

Last updated

Was this helpful?